﻿using System;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

namespace Haack.Web.Mvc {
    public class MyViewParserFilter : ViewTypeParserFilter {
        public override bool AllowControl(Type controlType, ControlBuilder builder) {
            return (controlType == typeof(HtmlHead) 
                || controlType == typeof(HtmlTitle)
                || controlType == typeof(ContentPlaceHolder)
                || controlType == typeof(Content)
                || controlType == typeof(HtmlLink));
        }
    }
}
